# $Revision: 1.35 $, $Date: 2004/08/19 18:27:25 $
Summary:	Standard and Internet Time clock applet
Summary(pl):	Zegar odmierzajcy standardowy oraz internetowy czas
Name:		wmitime
Version:	0.3
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.neotokyo.org/illusion/%{name}-%{version}.tar.gz
# Source0-md5:	7168e9d6b5930d510727530a309d812c
Source1:	%{name}.desktop
URL:		http://www.neotokyo.org/illusion/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WMitime is an (overglorified) clock for the Windowmaker/Afterstep
dock. It displays standard 12/24 hour time and date, as well as
Swatch's new internet time.

%description -l pl
WMitime jest zegarem dla Doku WindowMakera/Afterstepa. Wywietla
standardowy 12/24 godzinny czas, dat, jak rwnie nowy internetowy
czas Swatcha.

%prep
%setup -q -n %{name}

%build
LANG=C; export LANG
%{__make} -C %{name} \
	FLAGS="%{rpmcflags} -I%{_includedir}" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/wmitime.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmitime.spec,v $
Revision 1.35  2004/08/19 18:27:25  yogib
- fix building on amd64

Revision 1.34  2004/07/19 19:30:53  yogib
- switched to vfolders, cosmetics

Revision 1.33  2003/05/28 13:02:53  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:27:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/02/28 10:09:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.30  2003/01/18 22:57:41  juandon
- removed two lines with define

Revision 1.29  2002/11/29 22:47:23  ankry
- massive attack: new %%doc

Revision 1.28  2002/02/23 05:05:00  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/26 01:59:00  kloczek
- s#export LANG=C#LANG=C; export LANG#

Revision 1.25  2002/01/25 21:39:22  blues
- added export LANG=C to allow compile...
STB

Revision 1.24  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/28 00:01:38  blues
- release 4
- desktop is out

Revision 1.22  2001/11/21 10:34:51  blues
- URL added
- cosmetic in files

Revision 1.21  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.19  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.16  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.15  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.14  1999/09/04 08:55:09  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.13  1999/07/30 15:50:36  kloczek
- release 3,
- added stripping binaries.

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.3-1]
- updated to 0.3.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.2-3]
- package is FHS 2.0 compliant,
- rewritten spec file for PLD use,
- based on spec by Jochem Wichers Hoeth <wiho@chem.uva.nl>.
